# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2017-03-29 14:41
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('ippidb', '0007_auto_20170328_2045'),
    ]

    operations = [
        migrations.CreateModel(
            name='RefCompoundBiblio',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('compound_name', models.CharField(max_length=50, verbose_name='Compound name in the publication')),
                ('bibliography_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ippidb.Bibliography')),
                ('compound_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ippidb.Compound')),
            ],
        ),
        migrations.AddField(
            model_name='cmpdaction',
            name='nb_copy_compounds',
            field=models.IntegerField(default=1, verbose_name='Number of copies for the compound'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='cmpdaction',
            name='pdb_id',
            field=models.CharField(default='NA', max_length=4, verbose_name='PDB ID'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='cmpdaction',
            name='ppi_id',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='ippidb.Ppi'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='compoundactivityresult',
            name='modulation_type',
            field=models.CharField(choices=[('B', 'Binding'), ('I', 'Inhibition'), ('S', 'Stabilization')], default='B', max_length=1, verbose_name='Modulation type'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='cmpdaction',
            name='activation_mode',
            field=models.CharField(choices=[('O', 'Orthosteric'), ('A', 'Allosteric')], max_length=1, verbose_name='Activation mode'),
        ),
        migrations.RemoveField(
            model_name='cmpdaction',
            name='modulation_type',
        ),
        migrations.AlterUniqueTogether(
            name='cmpdaction',
            unique_together=set([('complex_id', 'compound_id', 'pdb_id')]),
        ),
        migrations.AlterUniqueTogether(
            name='refcompoundbiblio',
            unique_together=set([('compound_id', 'bibliography_id')]),
        ),
    ]
